import { Construct } from "constructs";
export declare class Image {
    readonly filePath: string;
    readonly title: string;
    private model;
    constructor(filePath: string, title: string);
    /**
     * @internal
     */
    _bind(scope: Construct): void;
    /**
     * @internal
     */
    _toThreagile(): {
        [x: string]: string;
    };
}
export interface OverviewProps {
    readonly description: string;
    readonly images?: Image[];
}
export declare class Overview {
    readonly description: string;
    readonly images?: Image[];
    constructor(props: OverviewProps);
    /**
     * @internal
     */
    _toThreagile(): {
        description: string;
        images: {
            [x: string]: string;
        }[] | undefined;
    };
}
